Last Comment Bug 323765 - Thread unsafe VarPrefix from jsopcode.c
: Thread unsafe VarPrefix from jsopcode.c
Status: RESOLVED FIXED
: fixed1.8.0.7, fixed1.8.1
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Igor Bukanov
:
Mentors:
Depends on:
Blocks: js1.6rc1
  Show dependency treegraph
 
Reported: 2006-01-17 06:46 PST by Igor Bukanov
Modified: 2006-08-17 02:41 PDT (History)
5 users (show)
darin.moz: blocking1.8.1+
bob: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix (705 bytes, patch)
2006-01-17 07:10 PST, Igor Bukanov
brendan: review+
dveditz: approval1.8.0.7+
mtschrep: approval1.8.1+
Details | Diff | Review

Description Igor Bukanov 2006-01-17 06:46:52 PST
The current code for VarPrefix in jsopcode.c thread-unsafe as it use shared static buffer for temporary strings without any locking.
Comment 1 Igor Bukanov 2006-01-17 07:10:35 PST
Created attachment 208736 [details] [diff] [review]
Fix

The patch just uses explicit "const " and "var " strings without re-using js_var_str and js_const_str.
Comment 2 Brendan Eich [:brendan] 2006-01-17 18:14:00 PST
Comment on attachment 208736 [details] [diff] [review]
Fix

r=me, thanks!

/be
Comment 3 Igor Bukanov 2006-01-25 14:51:14 PST
I committed this on 2006-01-18.
Comment 4 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2006-06-13 14:48:07 PDT
There's a blocking1.8.1? nomination on this bug.  Should it be landed for 1.8.1?
Comment 5 Bob Clary [:bc:] 2006-06-13 14:56:30 PDT
(In reply to comment #4)
> There's a blocking1.8.1? nomination on this bug.  Should it be landed for
> 1.8.1?
> 

I guess that depends on if it gets approved for 1.8.1. I nominated it since was supposed to be in Spidermonkey 1.6 and I wanted Spidermonkey 1.6 and the 1.8.1 branch to have as much similarity as possible.
Comment 6 Igor Bukanov 2006-06-21 04:29:14 PDT
Comment on attachment 208736 [details] [diff] [review]
Fix

The patch applies as-is to 1.8.* branches
Comment 7 Igor Bukanov 2006-06-28 23:59:36 PDT
I committed the patch from comment 1 to MOZILLA_1_8_BRANCH
Comment 8 Daniel Veditz [:dveditz] 2006-08-15 15:04:17 PDT
Comment on attachment 208736 [details] [diff] [review]
Fix

approved for 1.8.0 branch, a=dveditz for drivers
Comment 9 Igor Bukanov 2006-08-17 02:41:55 PDT
I committed the patch from comment 1 to MOZILLA_1_8_0_BRANCH

Note You need to log in before you can comment on or make changes to this bug.